## ==========Description==========

Marsarah Mod v2.5.91

The purpose of this mod is to make Valheim feel less grindy in general and to add interesting features to the game. This is mostly intended for subsequent playthroughs, as I recommend the vanilla experience for a first playthrough.

Short description: 
- HUD additions: time of day, smart biome text indicator, inventory weight, boat speed (HUD toggleable with the Insert key)
- Reduces the amount of resources needed to craft or upgrade gear, as well as some build pieces. Most of the resource reductions for gear are made for metal. 
- Some items have their required resource types changed to match the biome they are in. For example, a Silver Sword will not require Iron anymore, but Obsidian. 
- Double bronze crafting
- Iron age back piece with poison resist
- Heavy armor speed penalties removed. Light armor speed buffs
- Battleaxe and Shield speed penalties reduced
- Shorter Forsaken powers cooldowns and longer durations
- Lighter metal weight
- Faster character walk speed
- Larger pickup area
- No skill level down when dying
- Wet effect duration reduced
- Larger explore radius on boat
- Overall less stamina usage
- Added better loadscreen tips

<br>

## ==========Requirements=========

This mod needs BepInEx for Valheim in order to work.

<br>

## ===========Installation==========

Unpack the .zip file and copy the MarsarahMod.dll into the Valheim/BepInEx/Plugins folder. \
If upgrading from version 2.1.0 specifically, remove that .dll file.

<br>

## ============Details============

The mod is split in sections which can be enabled/disabled individually in the config file (all are enabled by default). This file is created automatically when the game is run with the mod installed for the first time.

### [Main Mod] 
* Toggles the entire mod on or off.

### [Cheaper Gear Recipes]
* Reduces the amount of resources needed to craft or upgrade gear. This does not modify the type of resources needed, just the amount.
* Most metal resource requirements are reduced to half (for the majority of items). 
* Other non-metal resource amounts are either increased or decreased where needed for the sake of balance.

### [Double Bronze Crafting] 
* Outputs double the amount of Bronze when smelting Copper and Tin at a Forge. 
* This section should equalize the Bronze gear with the other biomes, as the amount of Bronze needed to craft a piece of gear is not reduced by half.

### [Alternate Gear Recipes] 
* Changes some gear material requirements for crafting or upgrading to match the biome the item comes from. Thus a player will not need to be pushed back to the previous biome to get the required material to craft it.
* This section changes the required crafting/upgrading materials for the following items: 
  - Club: Bone Fragments -\> Leather Scraps 
  - Copper Knife: Greydwarf Eye -\> Leather Scraps (personal preference here as I thought it was weird to use Greydwarf Eyes for this) 
  - Silver Knife: Wood -\> Fine Wood; Iron -\> Obsidian 
  - Silver Sword: Wood -\> Fine Wood; Iron -\> Obsidian 
  - Serpent Scale Shield: Iron -\> Chitin 
  - Porcupine: Iron -\> Black Metal 
  - Wolf Armor Chest: Chain -\> Wolf Fang 
  - Padded Helmet: Iron -\> Black Metal 
  - Padded Cuirass: Iron -\> Black Metal 
  - Padded Greaves: Iron -\> Black Metal 
  - Linen Cape: Silver -\> Black Metal 
  - Lox Cape: Silver -\> Black Metal

### [Alternate Linen & Lox Cape] 
* Moves the Linen Cape from the Plains biome to the Swamp biome. 
* Changes the required material types and amounts for the Linen Cape as follows: 
  - Linen thread (20) -\> Deer (5)
  - Silver (1) -\> Iron (1). 
* Adds poison resistance to the Linen and Lox capes

### [Alternate Gear Speed Modifiers] 
* Changes speed modifiers on gear as follows: 
  - All metal chest and leg pieces have their speed penalty removed (from -5% each) 
  - Troll chest and leg pieces now have a 5% speed modifier increase each 
  - Root armor chest and leg pieces now have a 3% speed modifier increase each
  - Fenris Set pieces now have a 5% speed modifier increase each (from 3% each)

### [Alternate Weapons And Shields Speed Modifiers]
* Changes speed modifiers on weapons and shields as follows:
  - Battleaxe and Crystal Battleaxe speed penalty changed: -20% -\> -5% 
  - Tower Shields speed penalty changed: -20% -\> -10%

### [Cheaper Build Pieces] 
* This is a follow-up to the Cheaper Gear Recipes section. It reduces the amount of resources needed for build pieces as follows: 
  - Iron cooking Station: Iron 3 -\> 2; Chain 3 -\> 2
  - Item Stand Vertical and Horizontal: Fine Wood 4 -\> 2
  - Blast Furnace: Iron 10 -\> 5
  - Oven: Iron 15 -\> 5
  - Grinding Wheel: Wood 25 -\> 15
  - Smith's Anvil: Iron 20 -\> 7
  - Forge Cooler: Fine Wood 25 -\> 10
  - Forge Toolrack: Iron 15 -\> 5
  - Wood Window: Wood 4 -\> 2
  - Darkwood Gate: Iron 4 -\> 3
  - Iron Gate: Iron 4 -\> 3
  - Iron Chest: Iron 2 -\> 1
  - Private Chest: Iron 8 -\> 4
  - Blackmetal Chest: Black Metal 6 -\> 4
  - Chandelier: Bronze 5 -\> 3
  - Portal: Fine Wood 20 -\> 10
  - All Rugs: their respective hide 4 -\> 3
  - All Banners: Leather Scraps 6 -\> 5 
  - Fermenter: Fine Wood 30 -\> 15
  - Bath Tub: Iron 10 -\> 5
  - Crystal Wall: Crystal 2 -\> 1
  - Incinerator: Iron 8 -\> 5
  - Stone Wall 1x1: Stone 3 -\> 2
  - Stone Wall 2x1: Stone 4 -\> 3
  - Stone Pillar: Stone 5 -\> 3
  - Stone Floor: Stone 6 -\> 4
  - Stone Stair: Stone 8 -\> 3

### [Alternate Build Pieces Materials] 
* Changes some material requirements for the build pieces below. This goes in line with the Alternate Gear Recipes section. 
  - Tool Rack (Workbench Improvement): Obsidian -\> Coal (This will move this imprvement one biome earlier) 
  - Darkwood Gate: Iron -\> Black Metal 
  - Bath Tub: Iron -\> Black Metal

### [Alternate Menu Scene] 
* Changes wind speed and direction in the main menu scene

### [Alternate Forsaken Powers Cooldowns & Durations] 
* Changes the timers for Forsaken Powers as follows: 
  - Cooldown: 20 mins -\> 15 mins 
  - Duration: 5 mins -\> 10 mins

### [Lighter Metal Weight] 
* Modifies metal weight to match Tin Ore weight. 
  - All Ores: 10 -\> 8
  - All Metals: 12 -\> 8

### [Faster Character Jog, Walk, Swim and Crouch Speeds (Run excluded)] 
* This section increases the speed of the character when not running by a slight amount.

### [Larger Item Pickup Area] 
* Item pickup area increased: 2 -\> 3

### [No Skills Level Down Upon Death] 
* Skills will no longer drop in level when dying. However, the progress towards the next level for each skill will still drop. For example, if a player has level 17 in the Swords skill and 30% progress in it towards the next level, when the player dies, the percentage progress will drop, but the main level will not go below 17.

### [Alternate Status Effects] 
* This section changes the duration of the following effects as follows: 
  - Minor and Medium Health Potion duration: 120 seconds -\> 60 seconds 
  - Minor and Medium Stamina Potion duration: 120 seconds -\> 60 seconds
  - Wet effect duration: 120 seconds -\> 60 seconds

### [Larger Explore Radius On Boat]
* Exploration radius doubled when on a boat.

### [Less Stamina Usage]
* Reduces all stamina usage for all actions (combat, running, building) by 15%

### [Alternate Loading Screen Tips
* Changes 16 of the 25 original load screen tips.
* Adds 20 extra load screen

### [Show Inventory Weight On HUD]
* Displays current carry weight and max weight values at the bottom left of the screen under the health bar.
  - Text color changes according to weight percentage.
  - HUD can be toggled with the Insert key.

### [Show Boat Speed On HUD]
* Displays current ship speed next to the inventory weight widget at the bottom left of the screen.
  - The speed values are not in km/h or mph yet; they simply range from 0 to 10 or more.
  - When going forward, "F" is displayed before the speed value.
  - When going backwards, "R" is displayed before the speed value.
  - HUD can be toggled with the Insert key.

### [Show Biome and Time of Day on HUD]
* Displays current time of day above the minimap using day sections.
  - Day sections: Dawn, Morning, Day, Afternoon, Evening, Dusk, Night.
  - Does not display time in a clock format.
  - HUD can be toggled with the Insert key.
* Displays the current biome the player is in above the minimap, removing the vanila text from the minimap.
  - Text color changes according to currently equipped gear (not including weapons) relative to the current biome.
  - Colors range: purple (not ready for biome), red (hard), orange (ok), yellow (normal), green (easy). 
  - Colors only range for the first 5 land biomes. The rest are displayed in white.
  - HUD can be toggled with the Insert key.

### [Show Enemy Detector on HUD]
* Displays an enemy detector on screen next to the inventory weight widget at the bottom left of the screen.
  - Counts the number of enemies in close proximity.
  - Does not include other players or deer in the enemy count.
  - HUD can be toggled with the Insert key.

### [Other Section] 
* This is a work in progress and it's intended to be a location for me to add random stuff I think need changing. 
* Current Changes:
  - Queen's Jam crafting resource amounts:
    - Raspberries: 8 -\> 5
    - Blueberries: 6 -\> 5
  - Turnip Stew amount crafted: 1 -\> 2
  - Tankard crafting resource amount:
    - Fine Wood: 4 -\> 2


<br>

## ==========Version History==========

[2.5.91]
* Fixed a bug in the enemy detector where it would count deer as enemies
* Adjusted max armor value for the Black Forest biome used by the smart biome text

[2.5.9]
* Removed section: 
  - [Show Weapon Damage on HUD]
* Added section:
  - [Show Enemy Detector on HUD]
* Modified section:
  - [Show Time of Day on HUD]
  - renamed to [Show Biome and Time of Day on HUD]
  - implemented smart biome text above the minimap, next to time

[2.5.8]
* Added Fenris Armor set to chages in section: [Cheaper Gear Recipes]
* Mod should now be compatible with Linux OS

[2.5.7]
* Added key toggle to mod UI

[2.5.6]
* Added sections: 
  - [Alternate Loading Screen Tips]
  - [Show Weapon Damage on HUD]

[2.5.5]
* Added section: 
  - [Show Time of Day on HUD]

[2.5.4]
* Slightly increased crouch and swim speeds in section: [Faster Character Jog, Walk, Swim and Crouch Speeds (Run excluded)]
* Added section: 
  - [Less Stamina Usage]

[2.5.3]
* Added color scaling to inventory weight text in HUD
* Added section: 
  - [Show Boat Speed On HUD]

[2.5.2]
* Added Fenris armor set to changes in section: [Alternate Gear Speed Modifiers]
* Fixed anchor issue with weight area in UI

[2.5.1]
* Integrated inventory weight UI in game UI (was in its own window before)

[2.5.0]
* Fixed bug in section: [Alternate Linen & Lox Cape] - duplicate resist apply when reloading characters
* Added section: 
  - [Show Inventory Weight On HUD]

[2.4.1]
* Reverted change from Blast Furnace in Alternate Build Pieces Materials

[V2.4.0]
* Added Root armor to changes in Alternate Gear Speed Modifiers

[V2.3.2]
* Removed renaming of 'Linen Cape' to 'Fine Cape' from the [Alternate Linen & Lox Cape] section to make the mod not search for the language file as this was causing game location errors which, in turn, caused other bugs.
* Mod no longer dependent on Jotunn.

[V2.3.1]
* Fixed a bug when trying to find the game path using Registry info.
* Added section:
  - [Alternate Weapons And Shields Speed Modifiers]

[V2.2.0]
* Fixed a typo of the config variable in the [Lighter Metal Weight] Section 
* Added section:
  - [Larger Explore Radius On Boat]

[V2.1.0]
* Fixed an incompatibility with other mods that change item recipes
* Changed the [Alternate Linen Cape] section into [Alternate Linen & Lox Cape] and added poison resist to those capes.

[V2.0.0]
* Added the following sections:
  - [Smaller Forsaken Powers Cooldowns]
  - [Alternate Gear Speed Modifiers]
  - [Lighter Metal Weight]
  - [Cheaper Build Pieces]
  - [Alternate Build Pieces Materials]
  - [Alternate Menu Scene]
  - [Faster Character Jog, Walk, Swim and Crouch Speeds (Run excluded)]
  - [Larger Item Pickup Area]
  - [No Skills Level Down Upon Death]
  - [Alternate Status Effects]

[V1.4.0]
* Initial upload containing the following sections:
  - [Cheaper Gear Recipes]
  - [Double Bronze Crafting]
  - [Alternate Gear Recipes]
  - [Alternate Linen Cape]
  - [Other Section]